"use strict";
// Triggers error if array doesn't have enough items.
// startingIndex can be negative or positive.
Object.defineProperty(exports, "__esModule", { value: true });
function errorIfArrayTooShortToMeetAdjacentItemsRequest(startingIndex, numberRequested, array) {
    var positiveIndex;
    if (startingIndex < 0)
        positiveIndex = -startingIndex;
    if ((startingIndex + numberRequested > array.length) || (numberRequested > positiveIndex)) {
        throw new Error('the array does not have enough items to fulfill your' +
            ' request');
    }
}
exports.errorIfArrayTooShortToMeetAdjacentItemsRequest = errorIfArrayTooShortToMeetAdjacentItemsRequest;
