import { errorIfNotIntegerZeroOrGreater } from 'basic-data-handling/errorIfNotIntegerZeroOrGreater';
import { errorIfNotArray } from 'basic-data-handling/errorIfNotArray';
import { errorIfIndexNotValid } from './errorIfIndexNotValid';


// index can be negative or positive.

export function errorIfIndex_howMany_andArray_areNotValid(index, howMany, array) {
	errorIfNotArray(array);
	errorIfIndexNotValid(index, array);
	errorIfNotIntegerZeroOrGreater(howMany);
}
