import { indexIsValid } from '../indexIsValid';


export function errorIfIndexNotValidAfterOffsetWasAdded(index, array) {
	let errorPrefix = `After the offset was added to the index of the passed value, the resulting index `;
	if (index < 0) {
		throw new Error(errorPrefix + `was a negative number. This is not allowed.`);
	}
	if (!indexIsValid(index, array)) {
		throw new Error(errorPrefix + `was too high for this array`);
	}
}